Subject: Re: bug#75298: GUD doesn't let me answer debuginfod query

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 Jan 2025 22:09:22 +0200

> From: Daniel Colascione <[email-masked]>
> Date: Thu, 02 Jan 2025 14:04:56 -0500
> 
> I'd expect to be able to answer the debuginfod query in the affirmative
> in the GUD session below, but nothing I put into the buffer seems
> acceptable to GDB.

Which command did you use: "M-x gdb" or "M-x gud-gdb"?

The former is supposed to allow you to answer the question, at least
in Emacs 30 (you didn't say which Emacs version you used).  The latter
doesn't ask me that question at all.  So I'm unsure what happens in
your case.  In case this is GDB-version dependent: I tried with GDB
version 12.1.